package com.wtkj.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-14 15:19
 * @describe
 */
@Data
public class UploadFileDTO implements Serializable {

	@NotNull(message = "projectId不可为空")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long projectId;

	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "stageId不可为空")
	private Long stageId;

	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "parentId不可为空")
	private Long parentId = 0L;

	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "bladeFileId不可为空")
	private Long bladeFileId;
}
