package com.wtkj.vo;

import com.wtkj.entity.FileAndFolder;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.system.user.entity.User;

import java.util.Set;

/**
 * @author Blizzard
 * @create at 2023-09-14 17:14
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class FileAndFolderVO extends FileAndFolder {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "权限 0:无 1:有")
	private Integer auth = 0;

	private String uploadUser;

	private String uploadDept;

	private Integer fileAmount;

	private String volume;

	private String suffix;

	private String url;

	private Set<User> readUsers;
}
