package com.wtkj;

import org.springblade.common.constant.LauncherConstant;
import org.springblade.core.cloud.feign.EnableBladeFeign;
import org.springblade.core.launch.BladeApplication;
import org.springblade.core.transaction.annotation.SeataCloudApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 * @author Blizzard
 * @create at 2023-09-13 11:12
 * @describe
 */
@SpringCloudApplication
@EnableBladeFeign
@SeataCloudApplication
public class OKRServiceApplication {
	public static void main(String[] args) {
		BladeApplication.run(LauncherConstant.APPLICATION_SERVICE_NAME, OKRServiceApplication.class);
	}
}
