package com.wtkj.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.dto.UploadFileDTO;
import com.wtkj.entity.FileAndFolder;
import org.springblade.core.mp.base.BaseService;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-14 15:04
 * @describe
 */
public interface IFileAndFolderService extends BaseService<FileAndFolder> {
	boolean isExistSameName(List<UploadFileDTO> files);

	IPage<FileAndFolder> pageByStageId(Long stageId, IPage<FileAndFolder> page);

	/**
	 * 文件夹下的文件数量
	 */
	Integer getFileAmountByFolderId(Long stageId, Long parentId);

	IPage<FileAndFolder> pageByParentId(Long parentId, IPage<FileAndFolder> page);

	JSONObject getPageAndFileAmount(Long stageId, Long parentId);

	List<FileAndFolder> getChildrenFilesByFolderId(Long stageId, Long parentId);

	List<FileAndFolder> getChildrenFolderByFolderId(Long stageId, Long parentId);

	List<FileAndFolder> getChildren(Long stageId, Long parentId);

	IPage<FileAndFolder> selectPage(String projectId, Long stageId, Integer isLatest, IPage<FileAndFolder> page);
}
