package com.wtkj.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.TaskCost;
import org.springblade.core.mp.base.BaseService;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-18 14:15
 * @describe
 */
public interface ITaskCostService extends BaseService<TaskCost> {
	IPage<TaskCost> pageByTaskId(Long taskId, IPage<TaskCost> page);

	List<TaskCost> listByTaskId(Long taskId);

	JSONObject costStatistics(Long taskId);
}
