package com.wtkj.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.ContactOuter;
import com.wtkj.mapper.ContactOuterMapper;
import com.wtkj.service.IContactOuterService;
import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;

/**
 * @author Blizzard
 * @create at 2023-09-19 11:04
 * @describe
 */
@Service
@AllArgsConstructor
public class ContactOuterServiceImpl extends BaseServiceImpl<ContactOuterMapper, ContactOuter> implements IContactOuterService {

	@Override
	public IPage<ContactOuter> selectPage(Long userId, IPage<ContactOuter> page) {
		return page.setRecords(baseMapper.getPage(userId, page));
	}

	@Override
	public IPage<ContactOuter> contactPage(Long deptId, Long userId, IPage<ContactOuter> page) {
		return page.setRecords(baseMapper.getUserPage(deptId, userId, page));
	}
}
