package com.wtkj.feign;


import com.wtkj.entity.WorkStatus;
import org.springblade.core.tool.api.R;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author Blizzard
 * @create at 2023-09-25 16:11
 * @describe
 */
@FeignClient(value = "wutong-okr")
public interface IOkrClient {

	String API_PReFIX = "/client";

	String WORK_STATUS = API_PReFIX + "/work-status";


	@GetMapping(WORK_STATUS)
	R<WorkStatus> workStatus(@RequestParam Long userId);
}
