package com.wtkj.service;

import com.wtkj.entity.Project;
import com.wtkj.entity.Task;
import org.springblade.core.secure.BladeUser;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-13 16:32
 * @describe
 */
public interface IAsyncService {

	/**
	 * 异步创建项目 阶段 项目权限等处理
	 */
	void createProject(Project project, BladeUser user);

	/**
	 * 异步删除项目  项目阶段 文件夹/文件等
	 */
	void removeProject(List<Long> projectIds);

	void createTaskLog(Task task);

	//创建任务日志
	void submitTaskMessage(Long userId, Task task);

	//指定执行单位日志
	// type: 1 指定执行单位 2.指定任务执行部门  3.指定项目经理 4.执行任务执行者
	void updateTask(Integer type, Long userId, Task task);
}
