package com.wtkj.service;

import com.wtkj.dto.UploadFileDTO;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-14 16:07
 * @describe 公共service 避免本类调用事务失效的问题
 */
public interface ICommonService {

	boolean uploadFile(List<UploadFileDTO> files);

	boolean coverFile(List<UploadFileDTO> files);

	boolean remove(List<Long> ids);

	boolean move(String ids, Long stageId, Long parentId);
}
