package com.wtkj.service.impl;

import com.wtkj.entity.ProjectStage;
import com.wtkj.mapper.ProjectStageMapper;
import com.wtkj.service.IProjectStageService;
import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-13 16:50
 * @describe
 */
@Service
@AllArgsConstructor
public class ProjectStageServiceImplService extends BaseServiceImpl<ProjectStageMapper, ProjectStage> implements IProjectStageService {
	@Override
	public List<ProjectStage> listByProjectId(Long projectId) {
		return baseMapper.selectByProjectId(projectId);
	}
}
